# Glacier2::IdentitySet

## Overview

### interface IdentitySet

An object for managing the set of object identity constraints on a Session.

#### See Also

Session
SessionControl

## Operation Index

add
  Add a sequence of Ice identities to this set of constraints.
remove
  Remove a sequence of identities from this set of constraints.
get
  Returns a sequence of identities describing the constraints in this set.

## Operations

### void add(::Ice::IdentitySeq additions)

Add a sequence of Ice identities to this set of constraints. Order is not preserved and duplicates are implicitly removed.

#### Parameters

additions
  The sequence of Ice identities to be added.

### void remove(::Ice::IdentitySeq deletions)

Remove a sequence of identities from this set of constraints. No errors are returned if an entry is not found.

#### Parameters

deletions
  The sequence of Ice identities to be removed.

### ::Ice::IdentitySeq get()

Returns a sequence of identities describing the constraints in this set.

#### Return Value

The sequence of Ice identities for this set.